<?php

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

WPsite_Email_Signups_FF::createTable();

// Export data

if (isset($_GET['export_data']) && $_GET['export_data'] == 'true' && check_admin_referer(self::$prefix . 'export_data')) {

	$start_date = date(WPSITE_FLYOUT_FIRE_DATE_FORMAT, mktime(0, 0, 0, date("m")-1, date("d"), date("Y")));
	$end_date = date(WPSITE_FLYOUT_FIRE_DATE_FORMAT, strtotime(current_time('mysql')));

	if (isset($_GET[self::$prefix_dash . 'start-date']) && $_GET[self::$prefix_dash . 'start-date'] != '') {
		$start_date = date(WPSITE_FLYOUT_FIRE_DATE_FORMAT, strtotime($_GET[self::$prefix_dash . 'start-date']));
	}

	if (isset($_GET[self::$prefix_dash . 'end-date']) && $_GET[self::$prefix_dash . 'end-date'] != '') {
		$end_date = date(WPSITE_FLYOUT_FIRE_DATE_FORMAT, strtotime($_GET[self::$prefix_dash . 'end-date']));
	}

	global $wpdb;

	include_once(WPSITE_FLYOUT_FIRE_PLUGIN_DIR . '/admin/model/db.php');

	$emails = WPsite_Email_Signups_FF::getEmails($start_date, $end_date);
	$flyout_fires = $wpdb->get_results("SELECT * FROM `" . WPsite_Flyout_Fire_DB::getTableName() . "`");

	foreach ($emails as $key => $email) {
		$emails[$key]['flyout_fire_name'] = '<strong style="color:red;">DELETED</strong>';
	}

	foreach ($flyout_fires as $flyout_fire) {
		foreach ($emails as $key => $email) {
			if ($flyout_fire->id == $email['flyout_fire_id']) {
				$emails[$key] = array(
					'flyout_fire_id'	=> $email['flyout_fire_id'],
					'flyout_fire_name'	=> $flyout_fire->name,
					'date'				=> $email['date'],
					'email'				=> $email['email'],
					'first_name'		=> $email['first_name'],
					'last_name'			=> $email['last_name'],
				);
			}
		}
	}

	// Unset indexes

	foreach ($emails as $key => $email) {
		unset($emails[$key]['flyout_fire_id']);
	}

	$filename =  self::$prefix . 'emails.csv';
	$export_file = fopen(WPSITE_FLYOUT_FIRE_PLUGIN_DIR . '/exports/' . $filename, "w");
	fputcsv($export_file, array('Date', 'Flyout Fire', 'Email', 'First Name', 'Last Name'));

	foreach (array_reverse($emails) as $email) {
	    fputcsv($export_file, $email);
	}

	fclose($export_file);

	?>
	<script type="text/javascript">
		window.location = '<?php echo WPSITE_FLYOUT_FIRE_PLUGIN_URL . '/exports/download.php?filename=' . $filename; ?>';
	</script>
	<?php
}

include_once(WPSITE_FLYOUT_FIRE_PLUGIN_DIR . '/admin/views/emails.php');