/**
 *
 * Created by Kyle Benk kjbenk@gmail.com
 *
 * 12/14
 */

jQuery(document).ready(function($) {

	// Load stats via AJAX

	$.post(ajaxurl, {
			'action': 'wps_ff_entries_load',
			'start_date' : getQuerystring(wps_ff_entries_data.prefix_dash + 'start-date'),
			'end_date' : getQuerystring(wps_ff_entries_data.prefix_dash + 'end-date'),
			'entry_id' : getQuerystring('entry_id', false),
			'flyout_fire_id' : getQuerystring('flyout_fire_id', false)}, function(response) {

		$("#" + wps_ff_entries_data.prefix_dash + "loading-entries").remove();
		$(response).insertAfter("#" + wps_ff_entries_data.prefix_dash + "before-table");

		if (getQuerystring('entry_id', false)) {
			$("#" + wps_ff_entries_data.prefix_dash + "before-table").remove();
		}

	});

	// Date Pickers

	if ($('#' + wps_ff_entries_data.prefix_dash + 'start-datepicker').length != 0 && $('#' + wps_ff_entries_data.prefix_dash + 'end-datepicker').length != 0) {

		$('#' + wps_ff_entries_data.prefix_dash + 'start-datepicker').datetimepicker({
	        format: 'MM/DD/YYYY'
	    });

		$('#' + wps_ff_entries_data.prefix_dash + 'end-datepicker').datetimepicker({
	        format: 'MM/DD/YYYY'
	    });

		$('#' + wps_ff_entries_data.prefix_dash + 'end-datepicker')
			.data("DateTimePicker")
			.maxDate( moment(wps_ff_entries_data.today, "M/D/Y") );

		$('#' + wps_ff_entries_data.prefix_dash + 'start-datepicker')
			.data("DateTimePicker")
			.maxDate( moment(wps_ff_entries_data.today, "M/D/Y") );

		$('#' + wps_ff_entries_data.prefix_dash + 'end-datepicker')
			.data("DateTimePicker")
			.minDate( $('#' + wps_ff_entries_data.prefix_dash + 'start-datepicker').data("DateTimePicker").date() );

		$('#' + wps_ff_entries_data.prefix_dash + 'start-datepicker').on("dp.change",function (e) {
	       $('#' + wps_ff_entries_data.prefix_dash + 'end-datepicker').data("DateTimePicker").minDate(e.date);
	    });

	    $('#' + wps_ff_entries_data.prefix_dash + 'end-datepicker').on("dp.change",function (e) {
	       $('#' + wps_ff_entries_data.prefix_dash + 'start-datepicker').data("DateTimePicker").maxDate(e.date);
	    });

	}

    function getQuerystring(key, default_) {
	  if (default_==null) default_="";
	  key = key.replace(/[\[]/,"\\\[").replace(/[\]]/,"\\\]");
	  var regex = new RegExp("[\\?&]"+key+"=([^&#]*)");
	  var qs = regex.exec(window.location.href);
	  if(qs == null)
	    return default_;
	  else
	    return qs[1];
	}
});